import { asBoolean, asJSON, asObject, asOptional, asValue } from 'cleaners';
import * as ReactRedux from 'react-redux';
export const asNotificationPermissionsInfo = asJSON(asObject({
    isNotificationBlocked: asBoolean,
    notificationOptIns: asObject({
        ignoreMarketing: asBoolean,
        ignorePriceChanges: asBoolean
    })
}));
export const asExperimentConfig = asObject({
    createAccountType: asOptional(asValue('light', 'full'), 'full'),
    createAccountText: asOptional(asValue('signUp', 'getStarted', 'createAccount'), 'createAccount'),
    signupCaptcha: asOptional(asValue('withCaptcha', 'withoutCaptcha'), 'withoutCaptcha')
});
export const useDispatch = ReactRedux.useDispatch;
export const useSelector = ReactRedux.useSelector;
